[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'heaptrc' (#rtl)

# HaltOnError

Halt program on memory fault

## Declaration

Source position: heaptrc.pp line 65

`const HaltOnError: Boolean = True;`

## Description

If HaltOnError is set to True then an illegal call to FreeMem will cause the memory manager to execute a halt(1) instruction, causing a memory dump. By Default it is set to True.

Documentation generated on: Feb 26 2014